import {CommonModule} from "@angular/common";
import {NgModule} from "@angular/core";
import {FormsModule} from "@angular/forms";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {IconsModule} from "../openaireLibrary/utils/icons/icons.module";
import {BreadcrumbsModule} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";
import {Schema2jsonldModule} from "../openaireLibrary/sharedComponents/schema2jsonld/schema2jsonld.module";
import {SearchInputModule} from "../openaireLibrary/sharedComponents/search-input/search-input.module";
import {SEOServiceModule} from "../openaireLibrary/sharedComponents/SEO/SEOService.module";
import {PiwikService} from "../openaireLibrary/utils/piwik/piwik.service";

import {FosRoutingModule} from './fos-routing.module';
import {FosComponent} from './fos.component';

@NgModule({
	imports: [
		CommonModule, FormsModule, RouterModule,
		FosRoutingModule, BreadcrumbsModule, IconsModule,
		SearchInputModule, Schema2jsonldModule, SEOServiceModule
	],
	declarations: [
		FosComponent
	],
	providers: [
		PreviousRouteRecorder, PiwikService
	],
	exports: [
		FosComponent
	]
})
export class FosModule {

}